/// <reference types="react" />
import type { DataServiceLocator } from 'mongodb-data-service/provider';
import type { DataService } from 'mongodb-data-service';
export declare const CollectionTabPlugin: import("hadron-app-registry").HadronPluginComponent<import("./stores/collection-tab").CollectionTabOptions, {
    dataService: DataServiceLocator<keyof DataService>;
    instance: () => import("mongodb-instance-model").MongoDBInstance;
}>;
export declare const WorkspaceTab: {
    name: "Collection";
    component: import("hadron-app-registry").HadronPluginComponent<import("./stores/collection-tab").CollectionTabOptions, {
        dataService: DataServiceLocator<keyof DataService>;
        instance: () => import("mongodb-instance-model").MongoDBInstance;
    }>;
};
export type CollectionWorkspace = {
    type: typeof WorkspaceTab['name'];
} & React.ComponentProps<typeof WorkspaceTab['component']>;
declare function activate(): void;
declare function deactivate(): void;
export default CollectionTabPlugin;
export { activate, deactivate };
export { default as metadata } from '../package.json';
export type { CollectionTabPluginMetadata } from './modules/collection-tab';
export { CollectionTabsProvider } from './components/collection-tab-provider';
//# sourceMappingURL=index.d.ts.map